with Ada.Text_IO;  use Ada.Text_IO;
with Character_Vectors;  use Character_Vectors;
with Ada.Containers;  use Ada.Containers;

procedure Test_Character_Vectors is

   V : Vector;
   N : Count_Type := Length (V);

begin

   for C in Character range ' ' .. '~' loop

      Append (V, C);

      Put ("length=");
      Put (Count_Type'Image (Length (V)));
      Put (" capacity=");
      Put (Count_Type'Image (Capacity (V)));
      New_Line;

      for I in First_Index (V) .. Last_Index (V) loop
         Put (Element (V, I));
      end loop;

      New_Line;

      --Put_Line (To_Array (V));

      New_Line;

   end loop;

end Test_Character_Vectors;

